# @lavadrop/identity

[![npm license](http://img.shields.io/npm/l/@lavadrop/identity.svg)](https://www.npmjs.org/package/@lavadrop/identity)
[![Travis Build Status](https://img.shields.io/travis/jedmao/lavadrop.svg)](https://travis-ci.org/jedmao/lavadrop)
[![codecov](https://codecov.io/gh/jedmao/lavadrop/branch/master/graph/badge.svg)](https://codecov.io/gh/jedmao/lavadrop)
[![Try @lavadrop/identity on RunKit](https://badge.runkitcdn.com/@lavadrop/identity.svg)](https://npm.runkit.com/@lavadrop/identity)

Part of a [library](../../../../) of zero-dependency npm modules that do just
one thing.

- 100% [TypeScript](http://www.typescriptlang.org/) support.
- It's not a party without [`Lavadrop`](../../../../)!

[![npm](https://nodei.co/npm/@lavadrop/identity.svg?downloads=true)](https://nodei.co/npm/@lavadrop/identity/)

min + gzip | 62 bytes

[source](https://github.com/jedmao/lavadrop/blob/master/src/packages/identity/identity.ts)

Returns the first argument it receives and ignores any additional arguments.

## Usage

```ts
import identity from '@lavadrop/identity'

const object = { a: 1 }
identity(object) === object
// => true
```

## Parameters

| Name    | Type    | Description |
| :------ | :------ | :---------- |
| `value` | `T`     | Any value.  |
| `_args` | `any[]` |             |

### Type parameters

| Name |
| :--- |
| `T`  |

## Returns

The first argument it receives.

### Return type

```ts
T
```
