'use strict';

/**
 * Returns the first argument it receives and ignores any additional arguments.
 * @category Util
 * @param value Any value.
 * @returns The first argument it receives.
 * @example
const object = { a: 1 }

identity(object) === object
// => true
 */
function identity(value, ..._args) {
	return value
}

module.exports = identity;
identity.default = module.exports
